View Bug Details

IDProjectCategoryView StatusLast Update
0000648DCP-o-matic[All Projects] Bugspublic2015-08-10 21:47
Reportercarl 
Assigned Tocarl 
PriorityurgentSeverityblockReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version2.2.0Fixed in Version 
Summary0000648: Garbled sound from DCP sources when encoded on Windows
DescriptionUsing Frank's test DCP and making a new DCP from it on Windows gives broken up sound. It sounds like the timing is screwed up (but no distortion is evident).

Doesn't appear to happen on Linux.
TagsNo tags attached.
Estimated work requiredAverage

Relationships

Activities

carl

2015-07-29 19:09

administrator   ~0000787

floor() behaviour of Time::frames() caused frame at the top of DCPDecoder::pass() to be set to the wrong value sometimes; frames were repeated (e.g. frame 0, 1, 2, 3, 4, 6, 7, 7, 9 etc.). Fixed by a0d1dd5d91c81ec9907cbc7b890905c463c18f62.

Bug History

Date Modified Username Field Change
2015-07-28 13:56 carl New Bug
2015-07-29 19:09 carl Note Added: 0000787
2015-07-29 19:09 carl Status new => resolved
2015-07-29 19:09 carl Resolution open => fixed
2015-07-29 19:09 carl Assigned To => carl
2015-08-10 21:47 carl Status resolved => closed